State of the SAP BusinessObjects BI4 Upgrade, January 2013

Welcome to 2013!  It’s a new year. Time for new IT budgets and project plans. Many organizations are planning their SAP BusinessObjects Business Intelligence 4.0 upgrades (BI4). But which patch version of BI4 to use- Support Pack 4 (SP4) or Support Pack 5 (SP5)?

Earlier this month, I tweeted the following:

Anyone know which, if any, #BI4 SP4 patches included in Patch 5.2? Forward fit spreadsheet is silent.

As it turns out, the Forward Fit spreadsheet (available from the official SAP BusinessObjects Maintenance Schedule Calendar) wasn’t silent. It simply didn’t say what I thought it should say. Or what I wanted it to say.  Support Pack 5, currently on Patch 5.2, includes Patches 4.1, 4.2, and 4.3 from the Support Pack 4 code base.  However, the Forward Fit spreadsheet  indicates that Patches 4.4 through 4.9 aren’t forward fit to Support Pack 5.  Instead, as my friend Tim Rajcan points out, these outstanding SP4 patches are forward fit to Support Pack 6 (SP6, listed on the maintenance schedule for the first week in May 2013) or SAP BusinessObjects Business Intelligence 4.1 (which doesn’t have an official date but is expected in late Q2-2013 or early Q3-2013).

In an ideal world, SAP wouldn’t make us choose between bug fixes and mobility support. But there’s no use crying over the situation.

If you are starting your installation or upgrade today, should you begin with Support Pack 4 or Support Pack 5? There isn’t a one-size-fits-all answer, but here are some guidelines.

Best for patch support

SP4 is currently the best release for patch support until SP6 and BI 4.1 arrive later this year.

SP5 does not currently include patches 4.4 and higher, meaning that patches 4.4, 4.5, 4.6, 4.7, 4.8 and 4.9 are presently missing from the SP5 code base and additional patches to SP4 are planned. These patches will not be added to SP5 and instead are forward fit to either SP6 or BI 4.1.

Best for new installations

If you’re installing SAP BusinessObjects BI 4.0 for the first time and don’t have legacy content to migrate from an earlier version, lean toward SP5. You can begin working with the latest mobile dashboard technology now and move to SP6 when it arrives in May.

Best for Java 7 compatibility

Either SP4 or SP5. Java 7 is supported on either SP4 Patch 4 and higher or SP5.

Best for mobile business intelligence for Linux

Only SP5 and higher supports mobile business intelligence for Linux.

Best for mobile dashboards

Only SP5 and higher supports HTML5 dashboards designed with SAP Dashboards 4.0 and SAP BusinessObjects Design Studio.

Remember, don’t reach for these tools simply because a business user asks for a “dashboard”. Listen fully to the requirements, as Crystal Reports, Explorer, and Web Intelligence already have mobile capabilities and may be a better choice to fulfill those requirements.

Best for Desktop Intelligence support

Neither SP4 or SP5. The Desktop Intelligence Compatibility Pack (DICP) is a feature of SAP BusinessObjects Business Intelligence 4.1, which will arrive later this year. However, customers that still use Desktop Intelligence should be actively retiring their existing Desktop Intelligence reports independent of the DICP.

Conclusion

Whether you plan your upgrade around SP4 or SP5, we recommend that all SAP BusinessObjects customers utilizing Xcelsius 2008, SAP Dashboards 4.0 (prior to SP5), or BEx Web Application Designer create a dedicated sandbox for Support Pack 5 so your team can begin working with the new mobile capabilities of Dashboards 4.0 SP5 and SAP BusinessObjects Design Studio.

Contact us today if you are still unsure which path to take. EVtechnologies  helps organizations of all sizes plan and execute their business intelligence strategies with SAP BusinessObjects.

Resources

5 thoughts on “State of the SAP BusinessObjects BI4 Upgrade, January 2013

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.